Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui
Interface IContextMenuConstants

public interface IContextMenuConstants

Constants for menu groups used in context menus for Java views and editors.

This interface declares constants only; it is not intended to be implemented.

Field Summary
`static String` | `GROUP_ADDITIONS` Pop-up menu: name of group for additional actions (value `"additions"`).
`static String` | `GROUP_BUILD` Pop-up menu: name of group for build actions (value `"group.build"`).
`static String` | `GROUP_GENERATE` Pop-up menu: name of group for code generation actions ( value `"group.generate"`).
`static String` | `GROUP_GOTO` Pop-up menu: name of group for goto actions (value `"group.open"`).
`static String` | `GROUP_NEW` Pop-up menu: name of group for new actions (value `"group.new"`).
`static String` | `GROUP_OPEN` Pop-up menu: name of group for open actions (value `"group.open"`).
`static String` | `GROUP_PROPERTIES` Pop-up menu: name of group for properties actions (value `"group.properties"`).
`static String` | `GROUP_REORGANIZE` Pop-up menu: name of group for reorganize actions (value `"group.reorganize"`).
`static String` | `GROUP_SEARCH` Pop-up menu: name of group for search actions (value `"group.search"`).
`static String` | `GROUP_SHOW` Pop-up menu: name of group for show actions (value `"group.show"`).
`static String` | `GROUP_SOURCE` Pop-up menu: name of group for source actions.
`static String` | `GROUP_VIEWER_SETUP` Pop-up menu: name of group for viewer setup actions (value `"group.viewerSetup"`).
`static String` | `TARGET_ID_HIERARCHY_VIEW` Type hierarchy view part: pop-up menu target ID for type hierarchy viewer (value `"org.eclipse.jdt.ui.TypeHierarchy.typehierarchy"`).
`static String` | `TARGET_ID_MEMBERS_VIEW` Type hierarchy view part: pop-up menu target ID for the meber viewer (value `"org.eclipse.jdt.ui.TypeHierarchy.members"`).
`static String` | `TARGET_ID_SUBTYPES_VIEW` Type hierarchy view part: Pop-up menu target ID for the subtype hierarchy viewer (value `"org.eclipse.jdt.ui.TypeHierarchy.subtypes"`).
`static String` | `TARGET_ID_SUPERTYPES_VIEW` Type hierarchy view part: pop-up menu target ID for supertype hierarchy viewer (value `"org.eclipse.jdt.ui.TypeHierarchy.supertypes"`).

Field Detail

### TARGET_ID_HIERARCHY_VIEW

    public static final String TARGET_ID_HIERARCHY_VIEW

  Type hierarchy view part: pop-up menu target ID for type hierarchy viewer (value `"org.eclipse.jdt.ui.TypeHierarchy.typehierarchy"`).

  Since:
    2.0
  See Also:
    Constant Field Values

### TARGET_ID_SUPERTYPES_VIEW

    public static final String TARGET_ID_SUPERTYPES_VIEW

  Type hierarchy view part: pop-up menu target ID for supertype hierarchy viewer (value `"org.eclipse.jdt.ui.TypeHierarchy.supertypes"`).

  Since:
    2.0
  See Also:
    Constant Field Values

### TARGET_ID_SUBTYPES_VIEW

    public static final String TARGET_ID_SUBTYPES_VIEW

  Type hierarchy view part: Pop-up menu target ID for the subtype hierarchy viewer (value `"org.eclipse.jdt.ui.TypeHierarchy.subtypes"`).

  Since:
    2.0
  See Also:
    Constant Field Values

### TARGET_ID_MEMBERS_VIEW

    public static final String TARGET_ID_MEMBERS_VIEW

  Type hierarchy view part: pop-up menu target ID for the meber viewer (value `"org.eclipse.jdt.ui.TypeHierarchy.members"`).

  Since:
    2.0
  See Also:
    Constant Field Values

### GROUP_GOTO

    public static final String GROUP_GOTO

  Pop-up menu: name of group for goto actions (value `"group.open"`).

  Examples for open actions are:

  - Go Into
  - Go To

  See Also:
    Constant Field Values

### GROUP_OPEN

    public static final String GROUP_OPEN

  Pop-up menu: name of group for open actions (value `"group.open"`).

  Examples for open actions are:

  - Open To
  - Open With

  See Also:
    Constant Field Values

### GROUP_SHOW

    public static final String GROUP_SHOW

  Pop-up menu: name of group for show actions (value `"group.show"`).

  Examples for show actions are:

  - Show in Navigator
  - Show in Type Hierarchy

  See Also:
    Constant Field Values

### GROUP_NEW

    public static final String GROUP_NEW

  Pop-up menu: name of group for new actions (value `"group.new"`).

  Examples for new actions are:

  - Create new class
  - Create new interface

  See Also:
    Constant Field Values

### GROUP_BUILD

    public static final String GROUP_BUILD

  Pop-up menu: name of group for build actions (value `"group.build"`).

  See Also:
    Constant Field Values

### GROUP_REORGANIZE

    public static final String GROUP_REORGANIZE

  Pop-up menu: name of group for reorganize actions (value `"group.reorganize"`).

  See Also:
    Constant Field Values

### GROUP_GENERATE

    public static final String GROUP_GENERATE

  Pop-up menu: name of group for code generation actions ( value `"group.generate"`).

  See Also:
    Constant Field Values

### GROUP_SOURCE

    public static final String GROUP_SOURCE

  Pop-up menu: name of group for source actions. This is an alias for `GROUP_GENERATE` to be more consistent with main menu bar structure.

  Since:
    2.0
  See Also:
    Constant Field Values

### GROUP_SEARCH

    public static final String GROUP_SEARCH

  Pop-up menu: name of group for search actions (value `"group.search"`).

  See Also:
    Constant Field Values

### GROUP_ADDITIONS

    public static final String GROUP_ADDITIONS

  Pop-up menu: name of group for additional actions (value `"additions"`).

  See Also:
    Constant Field Values

### GROUP_VIEWER_SETUP

    public static final String GROUP_VIEWER_SETUP

  Pop-up menu: name of group for viewer setup actions (value `"group.viewerSetup"`).

  See Also:
    Constant Field Values

### GROUP_PROPERTIES

    public static final String GROUP_PROPERTIES

  Pop-up menu: name of group for properties actions (value `"group.properties"`).

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.